# Nowcasting

**Module:** `sovai.extensions.nowcasting`

## Functions

### `hash_dataframe()`

```python
def hash_dataframe(df)
```

***

### `nowcast_data_cached()`

```python
def nowcast_data_cached(df_hash, selected_tickers_hash, selected_feature)
```

***

### `nowcast_data_source()`

```python
def nowcast_data_source(df_signal, selected_tickers = None, selected_feature = None)
```

***

### `determine_starting_feature()`

```python
def determine_starting_feature(df)
```

***

### `nowcast_plot_source()`

```python
def nowcast_plot_source(df_signal, feature = None)
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sov.ai/api-reference/extensions/nowcasting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
